Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Interface Pool

All Known Subinterfaces:
  ItemPool, OrderPool

All Known Implementing Classes:
  ItemPoolImpl, OrderPoolImpl

Deprecated

    @Deprecated
    public interface Pool

Represents a collection of PoolObject(s). The Pool interface provides methods for adjusting the price of the pool objects and also to remove the objects from the collection.

Method Summary
`void` | `adjust(List poolObjects, AdjustmentDetail aDetail)` Deprecated
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)` Deprecated
`String` | `getCurrency()` Deprecated
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)` Deprecated
`void` | `remove(Iterator poolObjects)` Deprecated
`void` | `remove(PoolObject anObject)` Deprecated

Method Detail

### adjust

    void adjust(List poolObjects,
                AdjustmentDetail aDetail)

  Deprecated

### adjust

    void adjust(PoolObject object,
                AdjustmentDetail aDetail)

  Deprecated

### remove

    void remove(PoolObject anObject)

  Deprecated
  Parameters
    `PoolObject` - the object to be removed from the collection.
  See Also
    `PoolObject`

### remove

    void remove(Iterator poolObjects)

  Deprecated
  Parameters
    `List` - a set of ItemPoolObjects to be removed from the collection.
  See Also
    `PoolObject`

### getDetail

    AdjustmentDetail getDetail(AdjustmentType type,
                               Money initialPrice,
                               Money endPrice,
                               String computation,
                               String reason,
                               Object discountID)

  Deprecated

### getCurrency

    String getCurrency()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.